Skip to main content

Update Caller ID Resource

API Description

Update a caller ID resource by supplying the unique Apple-generated ID assigned to the partner’s resource, along with the caller ID's description in full, not just the fields requiring updating.

note

phoneNumber must not be updated

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
callerId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}/caller-ids/{callerId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids/9467895078742654966

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "7c752ec0-5d45-11ee-a464-325096b39f47"

Request Body

| Name | Input | | --- | :---: | :---: | | $.id |

REQUIRED
| | $.callerIdDetails |
REQUIRED
|

Example Request Body (raw JSON)
{
"id": "9467895078742654966",
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "5c556a5e-5d47-11ee-863f-325096b39f47"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids/9467895078742654966

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-11T18:34:00Z",
"state": "SUBMITTED",
"etag": "5c556a5e-5d47-11ee-863f-325096b39f47",
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
},
"validationReports": []
}